## asterisk-flite 0.1~beta2

=== Makefile ===
#
# Makefile for Asterisk flite application
#

INSTALL=install
ASTLIBDIR=$(INSTALL_PREFIX)/usr/lib/asterisk
MODULES_DIR=$(ASTLIBDIR)/modules
ASTETCDIR=$(INSTALL_PREFIX)/etc/asterisk

CC=gcc
OPTIMIZE=-O2
DEBUG=-g

LIBS+=-lm -lflite -lflite_cmulex -lflite_usenglish -lflite_cmu_us_kal
CFLAGS+=-pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE

all: _all
	@echo " +--------- app_flite Build Complete --------+"  
	@echo " + app_flite has successfully been built,    +"  
	@echo " + and can be installed by running:          +"
	@echo " +                                           +"
	@echo " +               make install                +"  
	@echo " +-------------------------------------------+" 

_all: app_flite.so

app_flite.o: app_flite.c
	$(CC) $(CFLAGS) $(DEBUG) $(OPTIMIZE) -c -o app_flite.o app_flite.c

app_flite.so: app_flite.o
	$(CC) -shared -Xlinker -x -o $@ $< $(LIBS)

clean:
	rm -f app_flite.o app_flite.so .*.d

install: _all
	$(INSTALL) -m 755 -d $(DESTDIR)$(MODULES_DIR)
	$(INSTALL) -m 755 app_flite.so $(DESTDIR)$(MODULES_DIR)
	@echo " +---- app_flite Installation Complete ------+"  
	@echo " +                                           +"
	@echo " + app_flite has successfully been installed.+"  
	@echo " + If you would like to install the sample   +"  
	@echo " + configuration file run:                   +"
	@echo " +                                           +"
	@echo " +              make samples                 +"
	@echo " +-------------------------------------------+"

samples:
	mkdir -p $(DESTDIR)$(ASTETCDIR)
	for x in *.sample; do \
		if [ -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ]; then \
			if [ "$(OVERWRITE)" = "y" ]; then \
				if cmp -s $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $$x ; then \
					echo "Config file $$x is unchanged"; \
					continue; \
				fi ; \
				mv -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample`.old ; \
			else \
				echo "Skipping config file $$x"; \
				continue; \
			fi ;\
		fi ; \
		$(INSTALL) -m 644 $$x $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ;\
	done

ifneq ($(wildcard .*.d),)
   include .*.d
endif

=== debian/changelog ===
asterisk-flite (0.1~beta2-1) unstable; urgency=low

  * Initial release. Closes: bug#574385.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Mar 2010 21:52:59 +0100

=== debian/control ===
Source: asterisk-flite
Section: comm
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs, debhelper (>= 6), asterisk-dev (>= 1:1.6.2), asterisk-dev (<< 1:1.6.3), flite-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/asterisk-flite.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/asterisk-flite.git;a=summary
Homepage: http://zaf.github.com/Asterisk-Flite/

Package: asterisk-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, asterisk (>= 1:1.6.2), asterisk (<< 1:1.6.3)
Description: flite module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 flite voice synthesis engine to render text to speech.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2009-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Asterisk-Flite
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_upstream-tarball =

DEB_UPSTREAM_PACKAGE = Asterisk-Flite-1.6
DEB_UPSTREAM_URL = http://cloud.github.com/downloads/zaf/Asterisk-Flite
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~beta/-beta/
DEB_UPSTREAM_TARBALL_MD5 = 9391a0d70bc261670b9d614a83489ac6

# Install only as example file for now, due to odd asterisk configfile handling
DEB_INSTALL_EXAMPLES_asterisk-flite += flite.conf.sample
#binary-install/asterisk-flite::
#	install -D -m 0644 flite.conf.sample debian/$(cdbs_curpkg)/etc/asterisk/flite.conf

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)

# Readd upstream CFLAGS
CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE

=== debian/watch ===
# Run the "uscan --report" command to check for upstream updates.
# (use get-orig-source build target to get source - see README.source)
version=3
opts=uversionmangle=s/\-beta/~beta/ \
  http://zaf.github.com/Asterisk-Flite/ http://cloud.github.com/downloads/zaf/Asterisk-Flite/Asterisk-Flite-1\.6-(.*).tar.gz

## asterisk-flite 2.1

=== Makefile ===
#
# Makefile for Asterisk flite application
# Copyright (C) 2009 - 2011, Lefteris Zafiris
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2. See the COPYING file
# at the top of the source tree.

INSTALL=install
ASTLIBDIR:=$(shell awk '/moddir/{print $$3}' /etc/asterisk/asterisk.conf)
ifeq ($(strip $(ASTLIBDIR)),)
	MODULES_DIR=$(INSTALL_PREFIX)/usr/lib/asterisk/modules
else
	MODULES_DIR=$(INSTALL_PREFIX)$(ASTLIBDIR)
endif
ASTETCDIR=$(INSTALL_PREFIX)/etc/asterisk
SAMPLENAME=flite.conf.sample
CONFNAME=$(basename $(SAMPLENAME))

CC=gcc
OPTIMIZE=-O2
DEBUG=-g

LIBS+=-lm -lflite -lflite_cmulex -lflite_usenglish -lflite_cmu_us_kal -lflite_cmu_us_kal16 -lflite_cmu_us_awb -lflite_cmu_us_rms -lflite_cmu_us_slt
CFLAGS+=-pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE

all: _all
	@echo " +--------- app_flite Build Complete --------+"
	@echo " + app_flite has successfully been built,    +"
	@echo " + and can be installed by running:          +"
	@echo " +                                           +"
	@echo " +               make install                +"
	@echo " +-------------------------------------------+"

_all: app_flite.so

app_flite.o: app_flite.c
	$(CC) $(CFLAGS) $(DEBUG) $(OPTIMIZE) -c -o app_flite.o app_flite.c

app_flite.so: app_flite.o
	$(CC) -shared -Xlinker -x -o $@ $< $(LIBS)

clean:
	rm -f app_flite.o app_flite.so .*.d

install: _all
	$(INSTALL) -m 755 -d $(DESTDIR)$(MODULES_DIR)
	$(INSTALL) -m 755 app_flite.so $(DESTDIR)$(MODULES_DIR)
	@echo " +---- app_flite Installation Complete ------+"
	@echo " +                                           +"
	@echo " + app_flite has successfully been installed.+"
	@echo " + If you would like to install the sample   +"
	@echo " + configuration file run:                   +"
	@echo " +                                           +"
	@echo " +              make samples                 +"
	@echo " +-------------------------------------------+"

samples:
	@mkdir -p $(DESTDIR)$(ASTETCDIR)
	@if [ -f $(DESTDIR)$(ASTETCDIR)/$(CONFNAME) ]; then \
		echo "Backing up previous config file as $(CONFNAME).old";\
		mv -f $(DESTDIR)$(ASTETCDIR)/$(CONFNAME) $(DESTDIR)$(ASTETCDIR)/$(CONFNAME).old ; \
	fi ;
	$(INSTALL) -m 644 $(SAMPLENAME) $(DESTDIR)$(ASTETCDIR)/$(CONFNAME)
	@echo " ------- app_flite confing Installed ---------"

=== debian/changelog ===
asterisk-flite (2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on asterisk. Closes: bug#643703

 -- Geert Stappers <stappers@debian.org>  Sat, 13 Oct 2012 15:21:10 +0200

asterisk-flite (2.1-1) unstable; urgency=low

  * New upstream release.
    + No longer tied to 1.6 branch of Asterisk.
      Closes: bug#629750, #644499. Thanks to Ralf Treinen and Lucas
      Nussbaum.

  * Update upstream URLs.
  * Update package releations:
    + Relax to (build-)depend unversioned on asterisk: no longer tied to
      1.6 branch.
    + Relax to build-depend unversioned on debhelper: required version
      satisified even in oldstable.
    + Build-depend on dh-buildinfo.
    + Newline-delimit package relations.
    + Update CDBS suppression of optional build-dependencies.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Bump debhelper compat level to 7.
  * Extend my copyright for Debian packaging.
  * Update copyright file:
    + Extend copyright years.
    + Rewrite using format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Apr 2012 15:01:10 +0200

=== debian/control ===
Source: asterisk-flite
Section: comm
Priority: extra
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 asterisk,
 asterisk-dev,
 flite-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/asterisk-flite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/asterisk-flite.git
Homepage: http://zaf.github.com/Asterisk-Flite/

Package: asterisk-flite
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 asterisk
Description: flite module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 flite voice synthesis engine to render text to speech.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2009-2010 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2009, 2010, 2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Asterisk-Flite
 #
 # This program is free software; you can redistribute it and/or
@@ -22,12 +22,14 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 # suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_upstream-tarball =
+CDBS_BUILD_DEPENDS_rules_upstream-tarball =
+CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_PACKAGE = Asterisk-Flite-1.6
-DEB_UPSTREAM_URL = http://cloud.github.com/downloads/zaf/Asterisk-Flite
+DEB_UPSTREAM_URL = http://githubredir.debian.net/github/zaf/Asterisk-Flite
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~beta/-beta/
-DEB_UPSTREAM_TARBALL_MD5 = 9391a0d70bc261670b9d614a83489ac6
+DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
+DEB_UPSTREAM_TARBALL_MD5 = 13d9b08f91467eb48b36149fa41957a0
 
 # Install only as example file for now, due to odd asterisk configfile handling
 DEB_INSTALL_EXAMPLES_asterisk-flite += flite.conf.sample

=== debian/watch ===
# Run the "uscan --report" command to check for upstream updates.
# (use get-orig-source build target to get source - see README.source)
version=3
opts=uversionmangle=s/-/~/ \
http://githubredir.debian.net/github/zaf/Asterisk-Flite .*?(\d[^/]*).tar.gz

## asterisk-flite 2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for Asterisk flite application
-# Copyright (C) 2009 - 2011, Lefteris Zafiris
+# Copyright (C) 2009 - 2015, Lefteris Zafiris
 #
 # This program is free software, distributed under the terms of
 # the GNU General Public License Version 2. See the COPYING file
@@ -21,8 +21,8 @@
 OPTIMIZE=-O2
 DEBUG=-g
 
-LIBS+=-lm -lflite -lflite_cmulex -lflite_usenglish -lflite_cmu_us_kal -lflite_cmu_us_kal16 -lflite_cmu_us_awb -lflite_cmu_us_rms -lflite_cmu_us_slt
-CFLAGS+=-pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
+LIBS+=-lflite_cmu_us_kal -lflite_cmu_us_kal16 -lflite_cmu_us_awb -lflite_cmu_us_rms -lflite_cmu_us_slt -lflite_usenglish -lflite_cmulex -lflite
+CFLAGS+=-pipe -fPIC -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
 
 all: _all
 	@echo " +--------- app_flite Build Complete --------+"

=== debian/changelog ===
asterisk-flite (2.2-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix compatibility with asterisk 11.
      Closes: bug#725543. Thanks to David Suárez.
    + Code cleanups. Better error handling in config file parsing.
    + Fix unresolved symbol issues with Ubuntu-based distros.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-* field URLs.
  * Bump debhelper compatibility level to 8.
  * Update copyright info:
    + Extend coverage for upstream author.
    + Extend coverage for myself.
    + Bump packaging license to GPL-3+.
  * Update package relations:
    + Stop suppress optional CDBS build-dependency on devscripts.
    + Declare (build-)dependencies in rules file for CDBS to resolve.
    + Fix depend on virtual asterisk API package (or skip if not
      resolved, to ease backporting).
      Stop build-depend on asterisk: Not needed after all.
      Closes: bug#685540. Thanks to Gedalya and Jeremy Lainé.
  * Update upstream source URLs in watch file and CDBS hints.
  * Add patch 1001 to apply LDFLAGS to linker, licensed as GPL-2+.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 May 2015 09:56:44 +0200

=== debian/control ===
Source: asterisk-flite
Section: comm
Priority: extra
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 asterisk-dev,
 flite-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/asterisk-flite.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/asterisk-flite.git
Homepage: http://zaf.github.com/Asterisk-Flite/

Package: asterisk-flite
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: flite module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 flite voice synthesis engine to render text to speech.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2013, 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Asterisk-Flite
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

pkg = $(DEB_SOURCE_PACKAGE)

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = https://github.com/zaf/Asterisk-Flite/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

# needed during build
bdeps = asterisk-dev, flite-dev

# needed (always) at runtime
depends = asterisk

# Depend on virtual asterisk API package (if resolved)
ASTERISK_ABI := $(shell perl -ne '/AST_BUILDOPT_SUM.*"(\w+)"/ and print $$1' /usr/include/asterisk/buildopts.h)
$(if $(ASTERISK_ABI),,$(call cdbs_warn,failed to resolve AST_BUILDOPT_SUM))
depends += $(ASTERISK_ABI:%=$(comma) asterisk-%)

CDBS_BUILD_DEPENDS +=, $(bdeps)
CDBS_DEPENDS_$(pkg) = $(depends)

# Install only as example file for now, due to odd asterisk configfile handling
DEB_INSTALL_EXAMPLES_asterisk-flite += flite.conf.sample
#binary-install/asterisk-flite::
#	install -D -m 0644 flite.conf.sample debian/$(cdbs_curpkg)/etc/asterisk/flite.conf

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)

# Readd upstream CFLAGS
CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE

=== debian/watch ===
# Run the "uscan --report" command to check for upstream updates.
# (use get-orig-source build target to get source - see README.source)
version=3
opts=uversionmangle=s/-/~/ \
https://github.com/zaf/Asterisk-Flite/tags .*/archive/v?(\d[\d.]+)\.tar\.gz

## asterisk-flite 2.3

=== debian/changelog ===
asterisk-flite (2.3-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Proper temp file handling.

  [ Jonas Smedegaard ]
  * Move packaging to Debian VoIP team.
  * Bump debhelper compatibility level to 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of Debian packaging.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Simplify abi resolving using grep -P.
  * Declare compliance with Debian Policy 3.9.8.
  * Update watch file:
    + Bump file format to version 4.
    + Refine pattern based on documentation.
    + Mangle download filename.
    + Mention gbp in usage comment.
  * Drop CDBS get-orig-source target: Use gbp import-orig --uscan.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Dec 2016 20:37:08 +0100

=== debian/control ===
Source: asterisk-flite
Section: comm
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 licensecheck,
 debhelper,
 dh-buildinfo,
 asterisk-dev,
 flite-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/asterisk-flite.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/asterisk-flite.git
Homepage: http://zaf.github.com/Asterisk-Flite/

Package: asterisk-flite
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: flite module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 flite voice synthesis engine to render text to speech.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2013, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2013, 2015-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Asterisk-Flite
 #
 # This program is free software; you can redistribute it and/or modify
@@ -18,13 +18,9 @@
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-
-DEB_UPSTREAM_URL = https://github.com/zaf/Asterisk-Flite/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 
 # needed during build
 bdeps = asterisk-dev, flite-dev
@@ -33,7 +29,7 @@
 depends = asterisk
 
 # Depend on virtual asterisk API package (if resolved)
-ASTERISK_ABI := $(shell perl -ne '/AST_BUILDOPT_SUM.*"(\w+)"/ and print $$1' /usr/include/asterisk/buildopts.h)
+ASTERISK_ABI := $(shell grep -Po 'AST_BUILDOPT_SUM "\K[^"]+' /usr/include/asterisk/buildopts.h)
 $(if $(ASTERISK_ABI),,$(call cdbs_warn,failed to resolve AST_BUILDOPT_SUM))
 depends += $(ASTERISK_ABI:%=$(comma) asterisk-%)

## asterisk-flite 3.0

=== Makefile ===
--- 
+++ 
@@ -1,38 +1,36 @@
 #
 # Makefile for Asterisk flite application
-# Copyright (C) 2009 - 2015, Lefteris Zafiris
+# Copyright (C) 2009 - 2016, Lefteris Zafiris
 #
 # This program is free software, distributed under the terms of
 # the GNU General Public License Version 2. See the COPYING file
 # at the top of the source tree.
 
-INSTALL=install
+INSTALL:=install
 ASTLIBDIR:=$(shell awk '/moddir/{print $$3}' /etc/asterisk/asterisk.conf)
 ifeq ($(strip $(ASTLIBDIR)),)
-	MODULES_DIR=$(INSTALL_PREFIX)/usr/lib/asterisk/modules
+	MODULES_DIR:=$(INSTALL_PREFIX)/usr/lib/asterisk/modules
 else
-	MODULES_DIR=$(INSTALL_PREFIX)$(ASTLIBDIR)
+	MODULES_DIR:=$(INSTALL_PREFIX)$(ASTLIBDIR)
 endif
-ASTETCDIR=$(INSTALL_PREFIX)/etc/asterisk
-SAMPLENAME=flite.conf.sample
-CONFNAME=$(basename $(SAMPLENAME))
+ASTETCDIR:=$(INSTALL_PREFIX)/etc/asterisk
+SAMPLENAME:=flite.conf.sample
+CONFNAME:=$(basename $(SAMPLENAME))
 
 CC=gcc
 OPTIMIZE=-O2
 DEBUG=-g
 
 LIBS+=-lflite_cmu_us_kal -lflite_cmu_us_kal16 -lflite_cmu_us_awb -lflite_cmu_us_rms -lflite_cmu_us_slt -lflite_usenglish -lflite_cmulex -lflite
-CFLAGS+=-pipe -fPIC -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
+CFLAGS+=-pipe -fPIC -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE -DAST_MODULE_SELF_SYM=__internal_app_flite_self
 
-all: _all
+all: app_flite.so
 	@echo " +--------- app_flite Build Complete --------+"
 	@echo " + app_flite has successfully been built,    +"
 	@echo " + and can be installed by running:          +"
 	@echo " +                                           +"
 	@echo " +               make install                +"
 	@echo " +-------------------------------------------+"
-
-_all: app_flite.so
 
 app_flite.o: app_flite.c
 	$(CC) $(CFLAGS) $(DEBUG) $(OPTIMIZE) -c -o app_flite.o app_flite.c
@@ -41,9 +39,9 @@
 	$(CC) -shared -Xlinker -x -o $@ $< $(LIBS)
 
 clean:
-	rm -f app_flite.o app_flite.so .*.d
+	rm -f app_flite.o app_flite.so
 
-install: _all
+install: all
 	$(INSTALL) -m 755 -d $(DESTDIR)$(MODULES_DIR)
 	$(INSTALL) -m 755 app_flite.so $(DESTDIR)$(MODULES_DIR)
 	@echo " +---- app_flite Installation Complete ------+"

=== debian/changelog ===
asterisk-flite (3.0-3) unstable; urgency=medium

  * Team upload

  [ Jonas Smedegaard ]
  * Update copyright info: Fix source URLs.

  [ Bernhard Schmidt ]
  * Add missing upstream CFLAG (Closes: #919738)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 20 Jan 2019 23:03:43 +0100

asterisk-flite (3.0-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix compile under Asterisk 15.
  * Refactor to limit use of CDBS:
    + Stop auto-resolve build-dependencies when in CDBS maintainer mode.
  * Update watch file:
    + Fix gpb/gbp typo in usage comment.
      Thanks to Cyril Brulebois.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.
  * Use https protocol for Homepage and Upstream-Contract URLs.
  * Tighten lintian overrides regarding License-Reference.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Use package section optional (not obsolete extra).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Oct 2018 18:18:09 +0200

asterisk-flite (3.0-1) unstable; urgency=medium

  [ upstream ]
  * Nre release.

  [ Jonas Smedegaard ]
  * Ease git-based maintenance: Add git-buildpackage configuration.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
    + Extend coverage for main upstream author.
  * Advertise DEP-3 format in patch header.
  * Unfuzz patch.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 10:45:09 +0200

=== debian/control ===
Source: asterisk-flite
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 asterisk-dev,
 flite-dev
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/pkg-voip-team/asterisk-flite.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/asterisk-flite
Homepage: https://zaf.github.com/Asterisk-Flite/
Rules-Requires-Root: no

Package: asterisk-flite
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: flite module for Asterisk
 Module for the Asterisk open source PBX which allows you to use the
 flite voice synthesis engine to render text to speech.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,8 @@
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-
-# needed during build
-bdeps = asterisk-dev, flite-dev
 
 # needed (always) at runtime
 depends = asterisk
@@ -33,7 +29,6 @@
 $(if $(ASTERISK_ABI),,$(call cdbs_warn,failed to resolve AST_BUILDOPT_SUM))
 depends += $(ASTERISK_ABI:%=$(comma) asterisk-%)
 
-CDBS_BUILD_DEPENDS +=, $(bdeps)
 CDBS_DEPENDS_$(pkg) = $(depends)
 
 # Install only as example file for now, due to odd asterisk configfile handling
@@ -44,4 +39,4 @@
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
 
 # Readd upstream CFLAGS
-CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE
+CFLAGS += -pipe -fPIC -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -D_REENTRANT -D_GNU_SOURCE -DAST_MODULE_SELF_SYM=__internal_app_flite_self

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/zaf/Asterisk-Flite/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
